Last Comment Bug 717155 - Frob a different backlight device
: Frob a different backlight device
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla12
Assigned To: Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 702256
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-10 22:38 PST by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2012-01-12 09:18 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Poke a different backlight controller. Stopgap for bug 712378 (995 bytes, patch)
2012-01-10 22:42 PST, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
justin.lebar+bug: review+
Details | Diff | Splinter Review

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-01-10 22:38:10 PST
On the sgs2, turning off the screen also turns off the backlight.  But on the maguro, the two are separate.  We're poking the wrong level of abstraction here, which bug 712378 will fix, but in the meantime we can get both devices working by poking the other device.
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-01-10 22:42:23 PST
Created attachment 587600 [details] [diff] [review]
Poke a different backlight controller.  Stopgap for bug 712378
Comment 2 Justin Lebar (not reading bugmail) 2012-01-11 07:37:50 PST
Comment on attachment 587600 [details] [diff] [review]
Poke a different backlight controller.  Stopgap for bug 712378

I can't test this because I don't have a Maguro, but rs=me, assuming you've verified that the range is actually 0-255 on both devices.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-01-11 11:52:13 PST
Yes.
Comment 4 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-01-11 12:15:48 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/8f2f9ffb6ca4
Comment 5 Matt Brubeck (:mbrubeck) 2012-01-12 09:18:16 PST
https://hg.mozilla.org/mozilla-central/rev/8f2f9ffb6ca4

Note You need to log in before you can comment on or make changes to this bug.